/*****************************************************/
/* hOsOft lOgO                                       */
/*****************************************************/

/*==========================================================*/
/* HoLogo pictures.                                         */
/*==========================================================*/
static unsigned long hologo_pic[5][27] =
{
//H
{0x003F8000,0x07FC0000,0x01F80000,0x01F80000,0x01F80000,0x01F00000,0x01F00000,0x01F00000,
 0x01E0F800,0x01E3FE00,0x01EFFF00,0x01DFFF80,0x01FFFF80,0x01FFFFC0,0x01FFFFC0,0x01FFFFC0,
 0x01FFFFC0,0x01FFFFC0,0x01FC7F80,0x01F83F80,0x01F03F80,0x01F03F00,0x01F03E00,0x01F03E00,
 0x01F07C00,0x03F87F80,0x0700E040},
//O
{0x00000000,0x0007F800,0x003FFE00,0x00FFFF80,0x01FFFFC0,0x03FF9FE0,0x07FF07F0,0x0FFF03F0,
 0x1FFF01F8,0x1FFF00F8,0x1FFF81FC,0x3FFFC3FC,0x3FFFFFFC,0x3FFFFFFC,0x3FFFFFFC,0x3FFFFFFC,
 0x3FFFFFFC,0x3FFFFFFC,0x1FFFFFF8,0x1FFFFFF8,0x0FFFFFF0,0x0FFFFFE0,0x07FFFFE0,0x03FFFF80,
 0x01FFFF00,0x007FFC00,0x001FE000},
//S
{0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
 0x003FC100,0x00FFF200,0x01FFFC00,0x03FFFC00,0x03FC3800,0x03F80800,0x03FC0000,0x03FFF000,
 0x01FFFF00,0x003FFF80,0x0003FFC0,0x0201FFC0,0x0381FFC0,0x03C3FFC0,0x03FFFF80,0x02FFFF00,
 0x043FFE00,0x040FF000,0x00000000},
//F
{0x0007E040,0x001FFD80,0x003FFF00,0x003FFF00,0x007FFE00,0x007FC600,0x007F8400,0x007F8080,
 0x047F8080,0x047F8180,0x067F8380,0x07FFFF80,0x07FFFF80,0x03FFFF00,0x03FFFF00,0x03FFC300,
 0x033FC100,0x021FC000,0x021FC000,0x001FC000,0x001FE000,0x001FE000,0x000FE000,0x001FE000,
 0x003FF800,0x00FFFE00,0x00000000},
//T
{0x000FFF80,0x00FFFC00,0x0007F000,0x000FF000,0x000FF000,0x000FE0C0,0x061FE1C0,0x061FE3C0,
 0x071FFFC0,0x07FFFFC0,0x07FFFFC0,0x07FFFFC0,0x07FFC1C0,0x07FFC0C0,0x033FC0C0,0x037FC000,
 0x067FC000,0x007FC000,0x007FC0C0,0x007FC0C0,0x007FE3C0,0x007FFFE0,0x007FFFE0,0x003FFFE0,
 0x001FFFE0,0x000FFE60,0x0007F860}
};

//--------------------------------------
// Global pointer to the virtual 
// screen, which prevents flickering.
//--------------------------------------
char *hologo_virtual = 0;

/*==========================================================*/
/* Routine that draws the HoLogo.                           */
/*==========================================================*/
void DrawHoLogo(void)
{	
	int count1;	                                        //Counter used in loops
	float letter_y[] = {20,5,30,40,50,60};	            //Stores the individual letters' Y coordinate
	float letter_speed[] = {3.7,3.4,3.5,4.3,3.5,3.5};	//Stores how fast the letters are moving.
	
	hologo_virtual = malloc(LCD_SIZE);	//Allocate memory for the virtual screen
	PortSet (hologo_virtual, 239, 127);	//Sets where the graphics are drawn.
	
	//-------------------------------------------------------------
	// Main Loop - user can exit at any time by pressing any key.
	//-------------------------------------------------------------
	while (!kbhit())
	{
		clrscr();
			
		//---------------------------------------------------------
		// This routine calculates how the letters should bounce.
		//---------------------------------------------------------
		for (count1=0;count1<6;count1++)
		{
			letter_y[count1] += letter_speed[count1];    //Increases the letters' positions
			
			if (letter_y[count1] > 65)                   //Pixel 65 is the "floor" for the letters.
			{
				letter_y[count1] = 65;                   //Letters cannot go beyond pixel 65.
				letter_speed[count1] *= -1;              //Reverse it's direction if it hits pixel 65.
				letter_speed[count1] *= 0.75;            //It loses speed when it bounces.
			}
			
			letter_speed[count1] += 0.098;               //Accelerate or Decelerate due to gravity.
		}
		
		//----------------------------------------
		// Draws the Logo, with random jiggling.
		//----------------------------------------
		Sprite32 (26*0+random(3), letter_y[0]+random(3), 27, hologo_pic[0], hologo_virtual, SPRT_OR);
		Sprite32 (26*1+random(8), letter_y[1]+random(8), 27, hologo_pic[1], hologo_virtual, SPRT_OR);
		Sprite32 (26*2+random(3), letter_y[2]+random(3), 27, hologo_pic[2], hologo_virtual, SPRT_OR);
		Sprite32 (26*3+random(8), letter_y[3]+random(8), 27, hologo_pic[1], hologo_virtual, SPRT_OR);
		Sprite32 (26*4+random(3), letter_y[4]+random(3), 27, hologo_pic[3], hologo_virtual, SPRT_OR);
		Sprite32 (26*5+random(3), letter_y[5]+random(3), 27, hologo_pic[4], hologo_virtual, SPRT_OR);
		
		//-----------------------------------------------
		// Copy the virtual screen to the real screen.
		//-----------------------------------------------
		memcpy (LCD_MEM, hologo_virtual, LCD_SIZE);
	}
	
	//---------------------------------
	// Restores the default settings.
	//---------------------------------
	PortRestore();         //Restores where to draw stuff.
	free(hologo_virtual);  //Free the pointer to the virtual screen
	GKeyFlush();           //Resets queued up key presses.
}














