/****************************************************************************/
/* The Legend of Zelda: Link's Awakening                                    */
/* By: Jason Ho                                                             */
/*                                                                          */
/* This header contains data pertaining to rooms in the Zelda world.        */
/****************************************************************************/

/*---------------------------------------------------------------------------*/
/* Function Prototypes                                                       */
/*---------------------------------------------------------------------------*/

void ScrollRoomUp(void);
void ScrollRoomDown(void);
void ScrollRoomLeft(void);
void ScrollRoomRight(void);

/*---------------------------------------------------------------------------*/
/* Global Variables                                                          */
/*---------------------------------------------------------------------------*/

//------------------------------------------------
// room_list [ROOM #] [ROW] [COLUMN] [TERRAIN] 
// TERRAIN information is defined in "terrain.h"
//------------------------------------------------

int room_list[49][8][10][2] =
{

{{GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},   //Blank Template for a room
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2}},

{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1 ,TREE2 ,GRASS1},
 {GRASS2,FLOWER1,FENCE1,GRASS1,ROOF10,ROOF10,ROOF10,TREE3 ,TREE4 ,GRASS1},  //1 - Where link starts off
 {GRASS2,GRASS2,FENCE1,GRASS1,HOUSE2,HOUSE3,HOUSE2,GRASS1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,GRASS1,GRASS1,ROAD1 ,GRASS1,GRASS1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,FENCE1,FENCE1,ROAD1 ,FENCE1,FENCE1,FENCE1,GRASS2},
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2}},
 
{{GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE3},
 {GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},    //2 - Square of plants, right off start point
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},
 {GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1}},
 
{{GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE3},
 {GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,GRASS2,EDGE1 ,EDGE2},
 {GRASS2,GRASS2,GRASS2,PLANT1,ROOF6 ,ROOF5 ,ROOF4 ,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,PLANT1,ROOF1 ,ROOF2 ,ROOF3 ,PLANT1,EDGE3,WATER1},    //3 - Trendy Game
 {GRASS2,FLOWER1,GRASS2,PLANT1,HOUSE2,HOUSE3,HOUSE2,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,PLANT1,GRASS2,GRASS2,GRASS2,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,PLANT1,TREE1 ,TREE2 ,EDGE3,WATER1},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE5 ,TREE4 ,EDGE5,EDGE4 }},

{{GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2},
 {GRASS2,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {FLOWER1,GRASS2,ROAD2,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,TREE1 ,HOUSE5,TREE2 ,ROAD3 ,ROAD2 ,GRASS2},   //4 - Phone roof house
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,TREE3 ,HOUSE4,TREE4 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,FLOWER1,ROAD2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 }},
 
{{TREE3 ,TREE4 ,TREE3 ,TREE4 ,GRASS1,GRASS1,GRASS1,TREE3 ,TREE4 ,TREE3 },
 {ROAD1 ,ROAD1 ,ROOF6 ,ROOF5 ,ROOF4 ,GRASS1,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,ROAD1 ,ROOF7 ,ROOF8 ,ROOF9 ,ROOF10,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,ROAD1 ,HOUSE2,HOUSE3,HOUSE2,HOUSE3,FENCE1,GRASS1,GRASS2,GRASS2},   //5 - Bowwow's house
 {GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,FENCE2,GRASS1,GRASS1,GRASS1,GRASS1,GRASS2},
 {GRASS2,GRASS2,FLOWER1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS2,GRASS2},
 {ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2},
 {TREE2 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 }},
 
{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2},
 {TREE2 ,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE4 ,FENCE4,FENCE3,FENCE3,FENCE3,FENCE3,FENCE3,FENCE4,GRASS2,GRASS2},
 {TREE2 ,FENCE3,GRASS1,ROOF6 ,ROOF5 ,ROOF4 ,GRASS1,FENCE3,GRASS2,FLOWER1},   //6 - Ulrira's house
 {TREE4 ,GRASS2,GRASS1,ROOF7 ,ROOF8 ,ROOF9 ,GRASS1,GRASS2,GRASS2,GRASS2},
 {TREE2 ,GRASS2,GRASS1,HOUSE2,HOUSE3,HOUSE2,GRASS1,GRASS2,GRASS2,GRASS2},
 {TREE6 ,TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2},
 {TREE5 ,TREE6 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 }},

{{TREE5 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,TREE1 ,TREE2 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },   //7 - below the fish game
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,GRASS2,FLOWER1,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {TREE6 ,TREE2 ,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 ,TREE6 }},

{{TREE5 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE1 ,TREE5 },
 {TREE4 ,EDGE1 ,EDGE2 ,EDGE2 ,EDGE6 ,ROOF10,ROOF10,ROOF10,TREE3 ,TREE6 },
 {TREE2 ,EDGE3 ,WATER1,WATER1,EDGE7 ,HOUSE2,HOUSE2,HOUSE2,TREE1 ,TREE5 },
 {TREE4 ,EDGE3 ,WATER1,WATER1,EDGE8 ,EDGE6 ,GRASS1,GRASS1,TREE3 ,TREE6 },   //8 - fish game
 {TREE2 ,EDGE3 ,WATER1,WATER1,WATER1,EDGE7 ,GRASS2,FLOWER1,TREE1 ,TREE5 },
 {TREE4 ,EDGE5 ,EDGE4 ,EDGE4 ,EDGE4 ,EDGE9 ,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {TREE6 ,TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 }},
 
{{CLIFF1,STAIR1,CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {GRASS2,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,GRASS2,PLANT1,PLANT1,PLANT1,GRASS2,ROAD1 ,ROAD1 ,ROAD1 },
 {GRASS2,ROAD1 ,PLANT1,ROOF6 ,ROOF5 ,ROOF4 ,PLANT1,ROAD1 ,GRASS2,TREE1 },   //9 - Item Shop
 {GRASS2,ROAD1 ,PLANT1,ROOF1 ,ROOF2 ,ROOF3 ,PLANT1,ROAD1 ,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,PLANT1,HOUSE2,HOUSE3,HOUSE2,PLANT1,ROAD1 ,GRASS2,TREE1 },
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 }},
 
{{TREE4 ,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {TREE2 ,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {TREE4 ,GRASS2,ROAD2 ,ROAD2 ,FLOWER1,FLOWER1,FLOWER1,ROAD2 ,ROAD2 ,GRASS2},
 {TREE2 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,OBJECT1,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},   //10 - Flying Rooster
 {TREE4 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,OBJECT2,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},
 {TREE2 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,ROAD2 ,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},
 {TREE4 ,GRASS2,ROAD2 ,ROAD2 ,FLOWER1,FLOWER1,FLOWER1,ROAD2 ,ROAD2 ,ROAD1 },
 {TREE2 ,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2}},
 
{{TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 },
 {TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 },
 {GRASS2,FENCE4,FENCE4,FENCE4,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,FENCE3,HOUSE3,FENCE3,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},   //11 - Stone house
 {FLOWER1,ROCK1 ,GRASS2,ROCK1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {ROAD1 ,ROAD1 ,ROCK1 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,GRASS2,GRASS2,EDGE1 ,EDGE11,GRASS2,FLOWER1,GRASS2,TREE1 },
 {EDGE2 ,STAIR1,EDGE2 ,EDGE2 ,EDGE10,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 }},

{{TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 },
 {TREE5 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 },
 {TREE4 ,PLANT1,GRASS2,GRASS2,ROOF6 ,ROOF5 ,ROOF5 ,ROOF5 ,ROOF4 ,GRASS2},
 {TREE2 ,PLANT1,GRASS2,GRASS2,ROOF7 ,ROOF8 ,ROOF8 ,ROOF8 ,ROOF9 ,GRASS2},   //12 - Papahl's house
 {TREE4 ,PLANT1,PLANT1,GRASS2,HOUSE2,HOUSE3,HOUSE2,HOUSE3,HOUSE2,GRASS2},
 {TREE2 ,EDGE12,EDGE6,PLANT1,FLOWER1,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {TREE4 ,GRASS2,EDGE7,PLANT1,PLANT1,PLANT1,PLANT1,GRASS2,FLOWER1,GRASS2},
 {TREE2 ,GRASS2,EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE13,EDGE15}},
 
{{TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,GRASS1,GRASS1,GRASS1},
 {TREE4 ,GRASS2,GRASS2,SIGN1 ,PLANT1,ROCK1 ,GRASS2,GRASS1,GRASS1,GRASS1},
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,PLANT1,ROCK1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {TREE2 ,GRASS2,GRASS2,PLANT1,PLANT1,TREE1 ,TREE2 ,GRASS2,FLOWER1,GRASS1},   //13 - West of Ukuku Prairie
 {TREE4 ,GRASS2,PLANT1,PLANT1,TREE1 ,TREE5 ,TREE4 ,GRASS1,GRASS2,GRASS1},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE5 ,TREE4 ,GRASS1,GRASS1,GRASS2,GRASS2},
 {TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS1},
 {TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE2 ,GRASS2,GRASS1,GRASS1,GRASS1,GRASS1}},
 
{{TREE6 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 },
 {TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE6 ,TREE5 ,TREE4 ,TREE3 ,TREE4 },
 {GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,TREE3 ,TREE4 ,EDGE12,EDGE6 ,GRASS1},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,TREE1 ,TREE2 ,EDGE16,EDGE2 },   //14 - East of stone house
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,TREE3 ,TREE4 ,CLIFF4,CLIFF1},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS1,CLIFF3,HOUSE4},
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS1,GRASS1},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS1}},
 
{{WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,GRASS2,ROAD1 ,GRASS1,TREE3 ,TREE4 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {WATER1,EDGE7 ,EDGE12,EDGE6 ,PLANT1,PLANT1,PLANT1,EDGE1 ,EDGE11,GRASS2},
 {WATER1,EDGE7 ,GRASS2,EDGE16,EDGE14,EDGE13,EDGE15,EDGE10,PLANT1,GRASS2},   //15 - Well (where you fall into)
 {WATER1,EDGE7 ,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF2,FLOWER1,GRASS2},
 {WATER1,EDGE7 ,GRASS2,GRASS2,FENCE1,WELL1 ,FENCE1,GRASS2,GRASS2,GRASS2},
 {WATER1,EDGE7 ,GRASS2,FLOWER1,FENCE1,GRASS2,FENCE1,ROAD1 ,ROAD1 ,ROAD1 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE1 }},

{{WATER1,EDGE7 ,TREE1 ,TREE5 ,TREE6 ,TREE2 ,GRASS2,TREE1 ,TREE5 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE6 ,TREE5 ,TREE4 ,GRASS2,TREE3 ,TREE6 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE5 ,TREE4 ,GRASS1,ROCK1 ,GRASS2,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS1,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },   //16 - Entrance to forest
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS1,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,SIGN1 ,GRASS2,GRASS2,TREE1 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,GRASS2,ROAD1 ,FLOWER1,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,GRASS2,ROAD1 ,GRASS1,TREE1 ,TREE5 }},

{{WATER1,EDGE7 ,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1,GRASS2,TREE3},
 {WATER1,EDGE7 ,ROOF10,ROOF10,ROOF10,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE1 },
 {WATER1,EDGE7 ,HOUSE2,HOUSE3,HOUSE2,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,FLOWER1,TREE1 },   //17 - School (where the children are playing)
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,GRASS2,PLANT1,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,PLANT1,TREE1 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,TREE1 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,ROAD1 ,GRASS2,TREE1 ,TREE5 ,TREE6 }},
 
{{WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,ROAD1 ,GRASS2,TREE3 ,TREE4 ,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,SIGN1 ,ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2},
 {EDGE17,EDGE9 ,EDGE12,EDGE6 ,GRASS2,GRASS2,ROAD1 ,FLOWER1,EDGE1,EDGE2},
 {EDGE7 ,GRASS2,GRASS2,EDGE16,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE10,GRASS2},   //18 - s of school (cliffs)
 {EDGE7 ,GRASS2,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,ROAD1 ,GRASS2,GRASS2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,EDGE1 ,EDGE2 },
 {EDGE16,EDGE2 ,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE2 ,EDGE2 ,EDGE10,GRASS2}},
 
{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE11,GRASS2,GRASS2,PLANT1,PLANT1,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },   //19 - s,e of school (cliffs)
 {GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,HOLE1 ,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,EDGE1 ,EDGE11,GRASS2,TREE1 },
 {EDGE11,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,EDGE3,GRASS2,FLOWER1,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE1 }},

{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 },   //20 - s,e,e of school (cliffs)
 {TREE4 ,TREE1 ,TREE2 ,HOLE1 ,GRASS2,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {TREE2 ,TREE3 ,TREE4 ,HOLE1 ,HOLE1 ,HOLE1 ,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 }},

{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE6 ,TREE2 ,TREE1 ,TREE2 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,TREE3 ,TREE6 },
 {GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE2 ,TREE1 ,TREE2 ,GRASS2,PLANT1,GRASS2,FLOWER1,GRASS2,PLANT1,TREE1 },   //21 - s,e,e,e of school (cliffs)
 {TREE4 ,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,PLANT1,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE6 ,TREE2 ,TREE1 ,TREE2 ,EDGE17,EDGE4 ,EDGE4 ,EDGE4 ,EDGE19,TREE1 }},
 
{{CLIFF4,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE14,STAIR1,EDGE15},   //22 - s,s of school (cliffs)
 {CLIFF4,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,STAIR1,CLIFF1},
 {EDGE7,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7,GRASS2,GRASS2,EDGE12,EDGE6 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7,GRASS2,GRASS2,GRASS2,EDGE16,EDGE14,EDGE13,EDGE15,EDGE2 ,EDGE2 }},

{{GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE1 },
 {GRASS2,GRASS2,EDGE1 ,EDGE14,EDGE13,EDGE15,EDGE10,FLOWER1,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE10,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,TREE1 },   //23 - s,s,e of school (cliffs)
 {CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,TREE1 },
 {GRASS2,GRASS2,PLANT1,PLANT1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE13,EDGE15,EDGE2 ,EDGE2 ,EDGE2 }},

{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },   //24 - West of first dungeon
 {TREE4 ,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,FLOWER1,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 }},

{{TREE5 ,TREE4 ,TREE3 ,TREE4 ,EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE10,TREE3 },
 {TREE4 ,GRASS2,GRASS2,ROAD4 ,CLIFF3,DUNG1 ,DUNG1 ,DUNG1 ,CLIFF2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,TREE3 },
 {TREE4 ,GRASS2,GRASS2,ROAD4 ,DUNG2 ,ROAD4 ,ROAD4 ,ROAD4 ,DUNG2 ,TREE1 },   //25 - First dungeon
 {TREE2 ,GRASS2,GRASS2,ROAD4 ,DUNG3 ,ROAD4 ,DUNG2 ,ROAD4 ,DUNG3 ,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,ROAD4 ,ROAD4 ,DUNG4 ,ROAD4 ,ROAD4 ,TREE1 },
 {ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 }},
 
{{EDGE7 ,SAND1 ,SAND1 ,SAND1 ,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 ,PALM1 ,PALM2 ,SAND1 ,PALM1 },   //26 - Left end of beach
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 ,PALM3 ,PALM4 ,SAND1 ,PALM3 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PLANT1,SAND1 ,PLANT1,PLANT1,PALM3 },
 {EDGE7 ,SAND1 ,SAND1 ,EDGE1 ,EDGE2 ,EDGE14,STAIR1,EDGE15,EDGE2 ,EDGE2 }},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {SAND1 ,SAND1 ,SIGN1 ,SAND1 ,SAND1 ,PLANT1,PLANT1,PLANT1,PALM1 ,PALM2 },
 {SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 },
 {PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //27 - Beach with Urchin warning sign
 {PALM4 ,SAND1 ,SAND1 ,EDGE1 ,EDGE2 ,EDGE11,SAND1 ,SAND1 ,EDGE12,EDGE2 },
 {PALM2 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM4 ,PLANT1,PLANT1,EDGE3 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE17,EDGE4 }},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {PALM1 ,PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 },
 {SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //28 - East of beach with sign
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE6 ,SAND1 ,SAND1 },
 {SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 ,PALM1 ,PALM2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,EDGE7,PALM3 ,PALM4 },
 {EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE16,EDGE6 ,SAND1 }},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {PALM1 ,PALM2 ,SAND1 ,ROOF10,ROOF10,ROOF10,PALM1 ,PALM2 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,HOUSE2,HOUSE3,HOUSE2,PALM3 ,PALM4 ,PALM3 ,PALM4 },
 {SAND1 ,SAND1 ,PLANT1,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //29 - Beach- bananah house
 {SAND1 ,SAND1 ,PLANT1,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {PALM1 ,PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 ,PALM3 ,PALM4 },
 {SAND1 ,EDGE1 ,EDGE14,EDGE13,EDGE13,EDGE13,EDGE15,EDGE2 ,EDGE2 ,EDGE2 }},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {PALM1 ,PALM2 ,PALM1 ,PALM2 ,PALM1 ,PALM2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM3 ,PALM4 ,PALM3 ,PALM4 ,PALM3 ,PALM4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SAND1 ,SAND1 ,PLANT1,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //30 - Beach where the monkey is in the tree
 {SAND1 ,SAND1 ,PLANT1,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM1 ,PALM2 ,EDGE1 ,EDGE11,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM3 ,PALM4 ,EDGE3 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE17},
 {EDGE2 ,EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 }},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE16},
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,CHEST1,ROCK1 ,CLIFF3},
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND4 ,ROCK1 ,GRASS2,GRASS2},   //31 - Right end of beach
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,ROCK1 ,GRASS2,GRASS2},
 {SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,EDGE12,EDGE6 ,GRASS2,GRASS2},
 {EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE8 ,EDGE2 ,EDGE6 },
 {EDGE5 ,EDGE4 ,EDGE4 ,EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 }},

{{EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,CLIFF1,CLIFF1,STAIR1,CLIFF1,CLIFF1,CLIFF1},
 {EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 },
 {EDGE16,EDGE6 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },   //32 - Left of shore
 {CLIFF3,EDGE7 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 },
 {WATER5,EDGE16,EDGE2 ,EDGE10,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {WATER5,CLIFF3,CLIFF1,CLIFF2,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5}},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF2,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 ,SAND1 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,EDGE16,EDGE2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF3,CLIFF1},
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //33 - Leftish of Shore
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,EDGE17},
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE7 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,EDGE16},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF3}},
 
{{SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF4,EDGE16,EDGE2 },
 {EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,CLIFF3,CLIFF4,CLIFF1},
 {CLIFF1,CLIFF2,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF3,CLIFF1},
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //34 - Shore (where you get the Sword)
 {EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 },
 {SAND1 ,EDGE3 ,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {EDGE2 ,EDGE10,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {CLIFF1,CLIFF2,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5}},
 
{{EDGE2 ,EDGE10,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {CLIFF1,CLIFF5,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {CLIFF1,CLIFF2,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //35 - Shore (east of where you get the sword)
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5}},
 
{{CLIFF1,CLIFF1,CLIFF5,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {CLIFF1,CLIFF6,CLIFF2,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,EDGE7 },   //36 - Shore (bombable wall)
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE7 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,EDGE8 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5}},
 
{{SAND1 ,EDGE1 ,EDGE2 ,EDGE2 ,EDGE20,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {EDGE1 ,EDGE10,PALM1 ,PALM2 ,SAND2 ,SAND2 ,SAND2 ,PALM1 ,PALM2 ,EDGE7 },
 {EDGE3 ,CLIFF2,PALM3 ,PALM4 ,SAND2 ,SAND2 ,SAND2 ,PALM3 ,PALM4 ,EDGE7 },   //37 - End of shore
 {EDGE3 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {EDGE3 ,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE16},
 {EDGE20,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF4},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF3}},

{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR1,CABINET2,BOX1  ,WALL4 },
 {WALL8 ,BED1  ,FLOOR2,BED1  ,FLOOR2,FLOOR2,FLOOR1,FLOOR1,BOX1  ,WALL4 },
 {WALL8 ,BED2  ,FLOOR2,BED2  ,FLOOR2,FLOOR2,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //38 - Inside where link starts off
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR1,FLOOR1,CHAIR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,TABLE1,TABLE2,WALL4 },
 {WALL8 ,POT1  ,POT1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CHAIR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,WALL2 ,WALL3 },
 {WALL8 ,BED1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CABINET2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,BED2  ,FLOOR1,FLOOR1,CHAIR1,TABLE1,TABLE2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CHAIR1,CHAIR1,POT1  ,POT1  ,WALL4 },   //39 - Inside Bowwow's house
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL8 ,CHAIR1,TABLE3,CHAIR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
{{WALL2 ,WALL3 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL3 ,BLACK1,BLACK1},   //40 - Inside bowwow's shack?
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND6 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {WALL6 ,WALL5 ,WALL7 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL5 ,BLACK1,BLACK1}},

{{BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL1 ,WALL2 ,CABINET1,WALL2 ,WALL2 ,WALL3 ,BLACK1,BLACK1},   //41 - Inside Phone roof house
 {BLACK1,BLACK1,WALL8 ,FLOOR1,CABINET2,PHONE1,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL8 ,FLOOR1,FLOOR1,PHONE2,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL7 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL5 ,BLACK1,BLACK1}},
 
{{WALL1 ,WALL2 ,CABINET1,CABINET1,CABINET1,CABINET1,CABINET1,CABINET1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,PHONE3,CABINET2,CABINET2,CABINET2,CABINET2,CABINET2,FLOOR1,WALL4 },
 {WALL8 ,TABLE1,PHONE4,FLOOR1,FLOOR1,FLOOR1,BED1  ,BED1  ,TABLE3,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,BED2  ,BED2  ,FLOOR1,WALL4 },   //42 - Inside Ulrira's house
 {WALL8 ,CHAIR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,TABLE3,FLOOR1,FLOOR2,FLOOR2,FLOOR2,FLOOR2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,CHAIR1,FLOOR1,FLOOR2,FLOOR2,FLOOR2,FLOOR2,POT1  ,POT1  ,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},

{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 },
 {WALL8 ,WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL3 ,FLOOR2,FLOOR2},
 {WALL8 ,WALL8 ,POT1  ,POT1  ,POT1  ,POT1  ,FLOOR1,WALL4 ,FLOOR2,FLOOR2},
 {WALL8 ,WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 ,FLOOR2,FLOOR2},   //43 - Inside Papahl's house
 {WALL8 ,WALL7 ,WALL6 ,STAIR1,WALL6 ,WALL6 ,WALL6 ,WALL5 ,FLOOR2,FLOOR2},
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2},
 {WALL8 ,POT1  ,POT1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1},
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 }},

{{WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,CABINET1,CABINET1,CABINET1,CABINET1,WALL3 },
 {FLOOR2,FLOOR1,FLOOR1,CABINET2,FLOOR1,CABINET2,CABINET2,CABINET2,CABINET2,WALL4 },
 {FLOOR2,FLOOR1,FLOOR1,BED1  ,FLOOR1,BED1  ,BED1  ,BED1  ,BED1  ,WALL4 },
 {FLOOR2,FLOOR1,FLOOR1,BED2  ,FLOOR1,BED2  ,BED2  ,BED2  ,BED2  ,WALL4 },   //44 - Inside Papahl's house
 {FLOOR2,FLOOR1,TABLE1,TABLE2,FLOOR1,TABLE3,TABLE3,TABLE3,TABLE3,WALL4 },
 {FLOOR2,FLOOR1,CHAIR1,FLOOR1,FLOOR1,CHAIR1,CHAIR1,CHAIR1,CHAIR1,WALL4 },
 {FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
{{WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL2 ,LIGHT1,WALL2 ,WALL3 },
 {WALL8 ,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WALL4 },
 {WALL8 ,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WALL4 },
 {WALL8 ,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,WALL4 },   //45 - Inside Item Shop
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CASHIER1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
{{WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL2 ,LIGHT1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //46 - Inside trendy game
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
{{WALL1 ,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,WALL3 },
 {WALL8 ,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,WALL4 },
 {WALL8 ,TABLE4,FLOOR1,TABLE4,FLOOR1,FLOOR1,TABLE4,FLOOR1,TABLE4,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //47 - Inside School
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,TABLE4,FLOOR1,TABLE4,FLOOR1,FLOOR1,TABLE4,FLOOR1,TABLE4,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},

{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,CABINET1,WALL2 ,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,BED1  ,FLOOR1,FLOOR1,CABINET2,CABINET2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,BED2  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //48 - inside alligator's house
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,BOX1  ,BOX1  ,BOX1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,BOX1  ,BOX1  ,BOX1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 }},
 
};


//---------------------------------------------------------------
// world_map [ROW] [COLUMN]
// Shows how rooms connect to each other. Data in the world_map 
// are the room numbers from room_list.
//---------------------------------------------------------------
int world_map[16][16] =
{
  // A   B   C   D   E   F   G   H   I   J   K   L   M   N   O   P
	{38 ,39 ,40 ,41 ,42 ,43 ,44 ,45 ,46 ,47 ,48 ,0  ,0  ,0  ,0  ,0  },// 1
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 2
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 3
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 4
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 5
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 6
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 7
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 8
	{0  ,8  ,12 ,11 ,14 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 9
	{16 ,7  ,10 ,9  ,13 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 10
	{15 ,5  ,1  ,2  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 11
	{17 ,6  ,4  ,3  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 12
	{18 ,19 ,20 ,21 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 13
	{22 ,23 ,24 ,25 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 14
	{26 ,27 ,28 ,29 ,30 ,31 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 15
	{32 ,33 ,34 ,35 ,36 ,37 ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  } // 16
};


//---------------------------------------------------------------------------
// room_mob_list [ROOM] [MOB #] [MOB DATA]
// Lists the mobs in each room, where MOB DATA are the 
// initial values of that MOB (mob number, mob coordinate x, mob coordinate y). 
// MOB # refers which mob in the room; Each room can have a max of 5 mobs
//
// These arent the only variables that keep track of mob data. The reason
// only these 3 are listed, however, is so it wont take up so much memory.
// Only the room-specific data is recorded here.
//---------------------------------------------------------------------------
int room_mob_list[49][5][3] = 
{
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{CHICKEN1,3,5},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 1
	{{BUTTERFLY1,2,3},{BUTTERFLY1,3,1},{BUTTERFLY1,7,5},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,3,3},{BUTTERFLY1,6,2},{BUTTERFLY1,7,4},{DOG1,2,2},{-1,0,0}},
	{{BUTTERFLY1,3,2},{CHICKEN1,7,2},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,3,3},{BUTTERFLY1,8,5},{DOG1,7,1},{-1,0,0},{-1,0,0}}, //Room 5
	{{CHICKEN1,3,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,2,3},{BUTTERFLY1,6,2},{CHICKEN1,4,4},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,6,4},{CHICKEN1,2,2},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,3,2},{BUTTERFLY1,1,1},{BUTTERFLY1,7,1},{DOG1,3,6},{-1,0,0}}, //Room 10
	{{BUTTERFLY1,2,2},{BUTTERFLY1,6,5},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,2,3},{BUTTERFLY1,5,5},{BUTTERFLY1,6,2},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,3,2},{BUTTERFLY1,1,4},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,2,5},{BUTTERFLY1,3,2},{BUTTERFLY1,6,2},{-1,0,0},{-1,0,0}}, //Room 15
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{BUTTERFLY1,5,1},{BUTTERFLY1,7,1},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{MONSTER1,3,3},{MONSTER1,4,5},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{MONSTER1,3,1},{MONSTER1,6,2},{MONSTER1,6,5},{-1,0,0},{-1,0,0}}, //Room 20
	{{MONSTER1,2,5},{MONSTER1,4,2},{MONSTER1,7,4},{-1,0,0},{-1,0,0}},
	{{MONSTER1,7,1},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{MONSTER1,3,4},{MONSTER1,7,3},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 25
	{{MONSTER1,4,1},{MONSTER1,2,4},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{URCHIN1,3,2},{URCHIN1,6,4},{URCHIN1,7,4},{-1,0,0},{-1,0,0}},
	{{MONSTER1,6,2},{MONSTER1,5,5},{URCHIN1,2,5},{URCHIN1,2,6},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 30
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{MONSTER1,2,3},{SANDMOB1,4,4},{SANDMOB1,7,4},{-1,0,0},{-1,0,0}},
	{{MONSTER1,3,1},{SANDMOB1,3,2},{SANDMOB1,5,4},{-1,0,0},{-1,0,0}},
	{{URCHIN1,2,3},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{CRAB1,2,3},{CRAB1,6,4},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 35
	{{CRAB1,8,2},{SANDMOB1,4,2},{-1,6,2},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 40
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}}, //Room 45
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
	{{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},
};




/*---------------------------------------------------------------------------*/
/* Functions                                                                 */
/*---------------------------------------------------------------------------*/

/*===========================================================================*/
/* Loads a room from room_list into room_buffer. This is executed everytime  */
/* Link moves to a new room, so that the original room wont be modified.     */
/* Also adds animated terrain to the terrain_animation_list, and loads       */
/* mobs into mob_list.                                                       */
/*===========================================================================*/
void LoadRoom(int room)
{
	int count1, count2, count3;
	int index = 0;
	
	//------------------------------------
	// Load Terrain and Animated Terrain
	//------------------------------------
	for (count1=0;count1<8;count1++)  //Row
	{
		for (count2=0;count2<10;count2++)  //Column
		{
			for (count3=0;count3<2;count3++)  //Terrain Data
			{
				room_buffer[count1][count2][count3] = room_list[room][count1][count2][count3];
			}
			
			//--------------------------------------------------
			// Scrolls through all the terrain, and if they are 
			// animated, add it to the terrain_animation_list
			//--------------------------------------------------
			if (room_buffer[count1][count2][TERRAIN_PROPERTIES] &  ANIMATED)
			{
				terrain_animation_list[index][0] = room_buffer[count1][count2][TERRAIN_PIC];
				terrain_animation_list[index][1] = count1;
				terrain_animation_list[index][2] = count2;
				terrain_animation_list[index][3] = 1;
				index++;
			}
		}
	}
	//-----------------------------------------------------------------------------
	// Sets the last value in terrain_animation_list to -1. This allows the 
	// loop in AnimateTerrain to know when to stop checking for animated terrains
	//-----------------------------------------------------------------------------
	terrain_animation_list[index][0] = -1;
	
	
	//------------------------------
	// Clears all mobs in mob_list
	//------------------------------
	for (count1=0;count1<5;count1++)
		mob_list[count1][MOB_NUMBER] = -1;
		
	//-----------------------------
	// Load mobs into the room
	//-----------------------------
	index = 0;
	
	for (count1=0;count1<5;count1++)  //Each room can hold 5 mobs; count1 scrolls through all 5
	{
		if (room_mob_list[room][count1][MOB_NUMBER] >= 0)	//If mob number is -1, it doesnt load the mob
		{
			//------------------------------	
			//Sets room-specific variables
			//------------------------------
			mob_list[index][MOB_NUMBER] = room_mob_list[room][count1][MOB_NUMBER];
			
			//------------------------------------------------
			// Convert the mob coordinates into pixel x,y's.
			//------------------------------------------------
			mob_list[index][MOB_X] = 16 * room_mob_list[room][count1][MOB_X];
			mob_list[index][MOB_Y] = 16 * room_mob_list[room][count1][MOB_Y];
			
			//---------------------------------------------	----------------------------------------
			//Sets the variables that arent room-specific (can be set to whatever - doesnt matter.)
			//--------------------------------------------------------------------------------------
			mob_list[index][MOB_FRAME] = 0;
			mob_list[index][MOB_DIRECTION] = DOWN;
			mob_list[index][MOB_PAUSE] = 0;
			mob_list[index][MOB_VAR1] = 0;	//Free variable to store mob_specific data
			mob_list[index][MOB_VAR2] = 0;	//Free variable to store mob_specific data
			index++;	//Increase the load number in mob_list
		}
	}
		
	//---------------------------------
	// Clears all objects in the room
	//---------------------------------
	for (count1=0;count1<50;count1++)
		object_list[count1][OBJECT_NUMBER] = -1;
}


/*===========================================================================*/
/* Scrolls into the room UP from current room                                */
/*===========================================================================*/

void ScrollRoomUp(void)
{
	int count1, count2;
	int row_gain=0;
	int shift=0;
	
	//---------------------
	// Scrolls 100 pixels
	//---------------------
	while (row_gain*16+shift < 100)
	{
		//---------------
		// Scroll Speed
		//---------------
		shift+=10;
		
		//--------------------------------------------------------------------------
		// A shift of 16 is essentially moving another row and having a shift of 0
		//--------------------------------------------------------------------------
		if (shift >= 16)
		{
			shift -= 16;
			row_gain++;
		}
		
		//--------------------
		// Clears the screen
		//--------------------
		memset(light,0,LCD_SIZE);
		memset(dark,0,LCD_SIZE);
		
		//----------------------------------------------------------
		// This loop scrolls the current room out from the bottom
		//----------------------------------------------------------
		for (count1=0;count1<10;count1++)
		{
			for (count2=0;count2<6-row_gain;count2++)	//Row
			{
				Sprite16(count1*16, count2*16+shift+row_gain*16, 16, img_map_light[ room_buffer[count2][count1][TERRAIN_PIC] ], light, SPRT_XOR);
				Sprite16(count1*16, count2*16+shift+row_gain*16, 16, img_map_dark[ room_buffer[count2][count1][TERRAIN_PIC] ], dark, SPRT_XOR);
			}
		}
		
		//----------------------------------------------------------
		// This loop scrolls the next room in from the top
		//----------------------------------------------------------
		for (count1=0;count1<10;count1++)	//Column
		{

			//--------------------------------------------------------------------
			// Draw's first row (with shift), using pictures from the next room
			//--------------------------------------------------------------------
			ShiftImage(TERRAIN, room_list[world_map[link_map_row-1][link_map_col]]  [7-row_gain]  [count1]  [TERRAIN_PIC], UP, 16-shift, FALSE);
			Sprite16(count1*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16(count1*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			//---------------------------------------------
			// Fills in the remaining next room pictures
			//---------------------------------------------
			for (count2=0;count2<row_gain;count2++)
			{
				Sprite16(count1*16, (row_gain-1-count2)*16+shift, 16, img_map_light[room_list[world_map[link_map_row-1][link_map_col]] [7-count2] [count1] [TERRAIN_PIC]], light, SPRT_XOR);
				Sprite16(count1*16, (row_gain-1-count2)*16+shift, 16, img_map_dark[room_list[world_map[link_map_row-1][link_map_col]] [7-count2] [count1] [TERRAIN_PIC]], dark, SPRT_XOR);
			}
		}
		
		//------------------------------------------------
		// Scrolls current room enemies out from the bottom
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (mob_list[count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, mob_list[count1][MOB_NUMBER],
				        mob_list[count1][MOB_X],
				        mob_list[count1][MOB_Y] + shift + row_gain*16, A_NORMAL);
		}
		
		//------------------------------------------------
		// Scrolls next room enemies in from the top
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (room_mob_list[world_map[link_map_row-1][link_map_col]][count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, room_mob_list[world_map[link_map_row-1][link_map_col]][count1][MOB_NUMBER],
				        room_mob_list[world_map[link_map_row-1][link_map_col]][count1][MOB_X]*16,
				        room_mob_list[world_map[link_map_row-1][link_map_col]][count1][MOB_Y]*16 - 8*16 + (row_gain*16+shift), A_NORMAL);
		}
		
		//----------------------------------------------------
		// Draw Link in sync with the moving screen. The 
		// row_gain*16+shift<100 check is so Link doesnt get 
		// pushed too far down until hes not visible.
		//----------------------------------------------------
		if (row_gain*16+shift < 100)
			link_y += 10;
		DrawImage(LINK, link_picture, link_x, link_y, A_NORMAL);
		
		//--------------------------------------
		// Copy virtual screens to real screen
		//--------------------------------------
		memcpy(GetPlane(0),light,LCD_SIZE);
		memcpy(GetPlane(1),dark,LCD_SIZE);
	}
	
	//---------------------------------------
	// Since Link's total screen shift is 0 
	// when he enters UP, add it to his Y
	//---------------------------------------
	link_y += 16+12;
	
	//--------------------------
	// Set Link's new position
	//--------------------------
	link_map_row--;

	//-----------------------------------------
	// Load the new room into the room_buffer
	//-----------------------------------------
	LoadRoom(world_map[link_map_row][link_map_col]);
}


/*===========================================================================*/
/* Scrolls into the room DOWN from current room                              */
/*===========================================================================*/
void ScrollRoomDown(void)
{
	int count1, count2;
	int row_gain=0;
	int shift=0;
	
	//---------------------
	// Scrolls 100 pixels
	//---------------------
	while (row_gain*16+shift < 100)
	{
		//---------------
		// Scroll Speed
		//---------------
		shift+=10;
		
		//--------------------------------------------------------------------------
		// A shift of 16 is essentially moving another row and having a shift of 0
		//--------------------------------------------------------------------------
		if (shift >= 16)
		{
			shift -= 16;
			row_gain++;
		}
		
		//--------------------
		// Clears the screen
		//--------------------
		memset(light,0,LCD_SIZE);
		memset(dark,0,LCD_SIZE);
		
		//----------------------------------------------------------
		// This loop scrolls the current room out from the top
		//----------------------------------------------------------
		for (count1=0;count1<10;count1++)	//Column
		{
			//----------------------------------------
			// Draws first row pictures with shift
			//----------------------------------------
			ShiftImage(TERRAIN, room_buffer[screen_row_gain+row_gain][count1][TERRAIN_PIC], UP, screen_shift+shift, FALSE);
			Sprite16(count1*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16(count1*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			//---------------------------------------------------------------
			// Starts on the 2nd row of pictures, and finishes the screen.
			//---------------------------------------------------------------
			for (count2=1;count2<7-row_gain;count2++)	//Row
			{
				Sprite16(count1*16,count2*16-screen_shift-shift,16,img_map_light[ room_buffer[count2+screen_row_gain+row_gain][count1][TERRAIN_PIC] ],light,SPRT_XOR);
				Sprite16(count1*16,count2*16-screen_shift-shift,16,img_map_dark[ room_buffer[count2+screen_row_gain+row_gain][count1][TERRAIN_PIC] ],dark,SPRT_XOR);
			}
		}
		
		//----------------------------------------------------------
		// This loop scrolls the next room in from the bottom
		//----------------------------------------------------------
		for (count1=0;count1<10;count1++)	//Column
		{
			for (count2=0;count2<row_gain+1;count2++)	//Row
			{
				Sprite16(count1*16,(6-row_gain+count2)*16+4-shift,16,img_map_light[ room_list[world_map[link_map_row+1][link_map_col]][count2][count1][TERRAIN_PIC] ],light,SPRT_XOR);
				Sprite16(count1*16,(6-row_gain+count2)*16+4-shift,16,img_map_dark[ room_list[world_map[link_map_row+1][link_map_col]][count2][count1][TERRAIN_PIC] ],dark,SPRT_XOR);
			}
		}
		
		//------------------------------------------------
		// Scrolls current room enemies out from the top
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (mob_list[count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, mob_list[count1][MOB_NUMBER],
				        mob_list[count1][MOB_X],
				        mob_list[count1][MOB_Y] - shift - row_gain*16, A_NORMAL);
		}
		
		//------------------------------------------------
		// Scrolls next room enemies in from the bottom
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (room_mob_list[world_map[link_map_row+1][link_map_col]][count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, room_mob_list[world_map[link_map_row+1][link_map_col]][count1][MOB_NUMBER],
				        room_mob_list[world_map[link_map_row+1][link_map_col]][count1][MOB_X]*16,
				        room_mob_list[world_map[link_map_row+1][link_map_col]][count1][MOB_Y]*16 + screen_row_gain*16 + screen_shift + 100 - (row_gain*16+shift), A_NORMAL);
		}
		
		//----------------------------------------------------------------
		// Draw Link in sync with the moving screen
		// 8*16-16 is where link is when he moves down. subtracting 100-16
		// is where you want him to be when the screen is done scrolling.
		//----------------------------------------------------------------
		if (row_gain*16+shift < 100)
			link_y -= 10;
		DrawImage(LINK, link_picture, link_x, link_y, A_NORMAL);
		
		//--------------------------------------
		// Copy virtual screens to real screen
		//--------------------------------------
		memcpy(GetPlane(0),light,LCD_SIZE);
		memcpy(GetPlane(1),dark,LCD_SIZE);
	}
	
	//--------------------------------------------
	// Since Link's total screen shift is 16+12 
	// when he enters DOWN, subtract it to his Y
	//--------------------------------------------
	link_y -= 16+12;
	
	//--------------------------
	// Set Link's new position
	//--------------------------
	link_map_row++;
	
	//-----------------------------------------
	// Load the new room into the room_buffer
	//-----------------------------------------
	LoadRoom(world_map[link_map_row][link_map_col]);
}


/*===========================================================================*/
/* Scrolls into the room LEFT from current room                              */
/*===========================================================================*/

void ScrollRoomLeft(void)
{
	int count1, count2;
	int column_gain = 0;
	
	//---------------------------------------------------------------------------------------------
	// This loop assumes that the screen shifts 16 pixels at a time. This is because
	// room scrolling UP, and DOWN takes 10 loops to finish (a shift of 10 each time), so
	// with this knowledge we can omit the shift aspect of this function and just use column_gain
	//---------------------------------------------------------------------------------------------
	while (column_gain < 10)
	{
		column_gain++;
		
		//--------------------
		// Clears the screen
		//--------------------
		memset(light,0,LCD_SIZE);
		memset(dark,0,LCD_SIZE);
		
		//----------------------------------------------------------
		// This loop scrolls the current room out to the right
		//----------------------------------------------------------
		for (count1=0;count1<(10-column_gain);count1++)	//Column
		{
			//----------------------------------------
			// Draws first row pictures with shift
			//----------------------------------------
			ShiftImage(TERRAIN, room_buffer[screen_row_gain][count1][TERRAIN_PIC], UP, screen_shift, FALSE);
			Sprite16((column_gain+count1)*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16((column_gain+count1)*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			//------------------------------------------------
			// Draws rest of the rows to complete the screen
			//------------------------------------------------
			for (count2=1;count2<7;count2++)	//Row
			{
				Sprite16((column_gain+count1)*16, count2*16-screen_shift, 16, img_map_light[room_buffer[count2+screen_row_gain][count1][TERRAIN_PIC]], light, SPRT_XOR);
				Sprite16((column_gain+count1)*16, count2*16-screen_shift, 16, img_map_dark[room_buffer[count2+screen_row_gain][count1][TERRAIN_PIC]], dark, SPRT_XOR);
			}
		}
		
		//---------------------------------------------------
		// This loop scrolls the next room in from the left
		//---------------------------------------------------
		for (count1=0;count1<column_gain;count1++)	//Column
		{
			//----------------------------------------
			// Draws first row pictures with shift
			//----------------------------------------
			ShiftImage(TERRAIN, room_list[world_map[link_map_row][link_map_col-1]][screen_row_gain][9-count1][TERRAIN_PIC], UP, screen_shift, FALSE);
			Sprite16((column_gain-1-count1)*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16((column_gain-1-count1)*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			
			//------------------------------------------------
			// Draws rest of the rows to complete the screen
			//------------------------------------------------
			for (count2=1;count2<7;count2++)	//Row
			{
				Sprite16((column_gain-1-count1)*16, count2*16-screen_shift, 16, img_map_light[room_list[world_map[link_map_row][link_map_col-1]][count2+screen_row_gain][9-count1][TERRAIN_PIC]], light, SPRT_XOR);
				Sprite16((column_gain-1-count1)*16, count2*16-screen_shift, 16, img_map_dark[room_list[world_map[link_map_row][link_map_col-1]][count2+screen_row_gain][9-count1][TERRAIN_PIC]], dark, SPRT_XOR);
			}
		}
		
		//------------------------------------------------
		// Scrolls current room enemies out to the right
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (mob_list[count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, mob_list[count1][MOB_NUMBER],
				        mob_list[count1][MOB_X] + column_gain*16,
				        mob_list[count1][MOB_Y], A_NORMAL);
		}
		
		//---------------------------------------------
		// Scrolls next room enemies in from the left
		//---------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (room_mob_list[world_map[link_map_row][link_map_col-1]][count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, room_mob_list[world_map[link_map_row][link_map_col-1]][count1][MOB_NUMBER],
				        room_mob_list[world_map[link_map_row][link_map_col-1]][count1][MOB_X]*16 - (10-column_gain)*16,
				        room_mob_list[world_map[link_map_row][link_map_col-1]][count1][MOB_Y]*16, A_NORMAL);
		}
		
		//--------------------------------------------
		// Draw Link in sync with the moving screen.
		//--------------------------------------------
		if (column_gain != 10)
			link_x += 16;
		DrawImage(LINK, link_picture, link_x, link_y, A_NORMAL);
		
		//--------------------------------------
		// Copy virtual screens to real screen
		//--------------------------------------
		memcpy(GetPlane(0),light,LCD_SIZE);
		memcpy(GetPlane(1),dark,LCD_SIZE);
	}
	
	//--------------------------
	// Set Link's new position
	//--------------------------
	link_map_col--;
	
	//-----------------------------------------
	// Load the new room into the room_buffer
	//-----------------------------------------
	LoadRoom(world_map[link_map_row][link_map_col]);
}


/*===========================================================================*/
/* Scrolls into the room RIGHT from current room                             */
/*===========================================================================*/

void ScrollRoomRight(void)
{
	int count1, count2;
	int column_gain = 0;
	
	//---------------------------------------------------------------------------------------------
	// This loop assumes that the screen shifts 16 pixels at a time. This is because
	// room scrolling UP, and DOWN takes 10 loops to finish (a shift of 10 each time), so
	// with this knowledge we can omit the shift aspect of this function and just use column_gain
	//---------------------------------------------------------------------------------------------
	while (column_gain < 10)
	{
		column_gain++;
		
		//--------------------
		// Clears the screen
		//--------------------
		memset(light,0,LCD_SIZE);
		memset(dark,0,LCD_SIZE);
		
		//----------------------------------------------------------
		// This loop scrolls the current room out to the left
		//----------------------------------------------------------
		for (count1=column_gain;count1<10;count1++)	//Column
		{
			//----------------------------------------
			// Draws first row pictures with shift
			//----------------------------------------
			ShiftImage(TERRAIN, room_buffer[screen_row_gain][count1][TERRAIN_PIC], UP, screen_shift, FALSE);
			Sprite16((count1-column_gain)*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16((count1-column_gain)*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			//------------------------------------------------
			// Draws rest of the rows to complete the screen
			//------------------------------------------------
			for (count2=1;count2<7;count2++)	//Row
			{
				Sprite16((count1-column_gain)*16, count2*16-screen_shift, 16, img_map_light[room_buffer[count2+screen_row_gain][count1][TERRAIN_PIC]], light, SPRT_XOR);
				Sprite16((count1-column_gain)*16, count2*16-screen_shift, 16, img_map_dark[room_buffer[count2+screen_row_gain][count1][TERRAIN_PIC]], dark, SPRT_XOR);
			}
		}
		
		//---------------------------------------------------
		// This loop scrolls the next room in from the right
		//---------------------------------------------------
		for (count1=0;count1<column_gain;count1++)	//Column
		{
			//----------------------------------------
			// Draws first row pictures with shift
			//----------------------------------------
			ShiftImage(TERRAIN, room_list[world_map[link_map_row][link_map_col+1]][screen_row_gain][count1][TERRAIN_PIC], UP, screen_shift, FALSE);
			Sprite16((10-column_gain+count1)*16, 0, 16, image_buffer_light, light, SPRT_XOR);
			Sprite16((10-column_gain+count1)*16, 0, 16, image_buffer_dark, dark, SPRT_XOR);
			
			//------------------------------------------------
			// Draws rest of the rows to complete the screen
			//------------------------------------------------
			for (count2=1;count2<7;count2++)	//Row
			{
				Sprite16((10-column_gain+count1)*16, count2*16-screen_shift, 16, img_map_light[room_list[world_map[link_map_row][link_map_col+1]][count2+screen_row_gain][count1][TERRAIN_PIC]], light, SPRT_XOR);
				Sprite16((10-column_gain+count1)*16, count2*16-screen_shift, 16, img_map_dark[room_list[world_map[link_map_row][link_map_col+1]][count2+screen_row_gain][count1][TERRAIN_PIC]], dark, SPRT_XOR);
			}
		}
		
		//------------------------------------------------
		// Scrolls current room enemies out to the left
		//------------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (mob_list[count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, mob_list[count1][MOB_NUMBER],
				        mob_list[count1][MOB_X] - column_gain*16,
				        mob_list[count1][MOB_Y], A_NORMAL);
		}
		
		//---------------------------------------------
		// Scrolls next room enemies in from the right
		//---------------------------------------------
		for (count1=0;count1<5;count1++)
		{
			if (room_mob_list[world_map[link_map_row][link_map_col+1]][count1][MOB_NUMBER] >= 0)
				DrawImage(MOB, room_mob_list[world_map[link_map_row][link_map_col+1]][count1][MOB_NUMBER],
				        room_mob_list[world_map[link_map_row][link_map_col+1]][count1][MOB_X]*16 + (10-column_gain)*16,
				        room_mob_list[world_map[link_map_row][link_map_col+1]][count1][MOB_Y]*16, A_NORMAL);
		}
		
		//--------------------------------------------
		// Draw Link in sync with the moving screen
		//--------------------------------------------
		if (column_gain != 10)
		{
			link_x -= 16;
			//------------------------------------------------------------------
			// DrawImage cannot draw pictures that have both a negative X 
			// coordinate, and a negative Y coordinate, so to prevent Link 
			// from disappearing, if his X is negative, set it to 0. This is
			// the only one of the ScrollRoom functions that needs this check.
			//------------------------------------------------------------------
			if (link_x < 0)
				link_x = 0;
		}
		
		DrawImage(LINK, link_picture, link_x, link_y, A_NORMAL);
		
		//--------------------------------------
		// Copy virtual screens to real screen
		//--------------------------------------
		memcpy(GetPlane(0),light,LCD_SIZE);
		memcpy(GetPlane(1),dark,LCD_SIZE);
	}
	
	//--------------------------
	// Set Link's new position
	//--------------------------
	link_map_col++;
	
	//-----------------------------------------
	// Load the new room into the room_buffer
	//-----------------------------------------
	LoadRoom(world_map[link_map_row][link_map_col]);
}





